Bug 761279 - import image displays 'upload' button in web ui
Summary: import image displays 'upload' button in web ui
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: aeolus-conductor
Version: 1.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
Assignee: Shveta
QA Contact: wes hayutin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-07 23:03 UTC by Dave Johnson
Modified: 2012-05-15 21:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-15 21:22:50 UTC


Attachments (Terms of Use)
ss (129.81 KB, image/png)
2011-12-07 23:03 UTC, Dave Johnson
no flags Details
err (229.32 KB, image/png)
2011-12-23 05:42 UTC, Shveta
no flags Details
ss (113.48 KB, image/png)
2012-02-22 21:57 UTC, Dave Johnson
no flags Details
import_upload (230.97 KB, image/png)
2012-03-07 12:12 UTC, Shveta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2012:0583 normal SHIPPED_LIVE new packages: aeolus-conductor 2012-05-15 22:31:59 UTC

Description Dave Johnson 2011-12-07 23:03:07 UTC
Description of problem:
===============================
when importing a image through the aeolus-cli, you would point it at a image on a provider and then you could deploy images from it. 

When importing theough the web ui though, a upload button appears which shouldn't be needed?  The image already exists on the provider, what is upload for?

Comment 1 Dave Johnson 2011-12-07 23:03:47 UTC
Created attachment 542246 [details]
ss

upload button for what?

Comment 2 Matt Wagner 2011-12-12 15:26:25 UTC
This is related to #766137 -- we don't properly detect that the image is imported, so we show nonsensical controls (upload and push).

Comment 3 Shveta 2011-12-23 05:41:40 UTC
"Upload button" removed now 
Verified in 

rpm -qa|grep aeolus
aeolus-conductor-0.8.0-0.20111222233342gitd98cb57.el6.noarch
aeolus-all-0.8.0-0.20111222233342gitd98cb57.el6.noarch
aeolus-conductor-daemons-0.8.0-0.20111222233342gitd98cb57.el6.noarch
rubygem-aeolus-image-0.3.0-0.20111222173411gitc13b654.el6.noarch
rubygem-aeolus-cli-0.3.0-0.20111222173356git3cd6277.el6.noarch
aeolus-configure-2.5.0-0.20111222173430git17b704a.el6.noarch
aeolus-conductor-doc-0.8.0-0.20111222233342gitd98cb57.el6.noarch

Comment 4 Shveta 2011-12-23 05:42:23 UTC
Created attachment 549283 [details]
err

Comment 5 wes hayutin 2012-01-03 14:30:46 UTC
These bugs are verified, removing from ce-sprint

Comment 7 Dave Johnson 2012-02-22 21:54:16 UTC
This appears to be back in aeolus-conductor-0.8.0-33.el6.noarch

Comment 8 Dave Johnson 2012-02-22 21:57:32 UTC
Created attachment 565120 [details]
ss

Comment 9 wes hayutin 2012-02-23 15:30:34 UTC
agreed.. this bug fails.. need a fix asap

Comment 10 Matt Wagner 2012-02-24 20:15:27 UTC
Based on the screenshot, my money is on the problem being that the image is not being detected as imported.

Speaking with Scott about this, we noticed two things that should be fixed:
1.) If an image import fails, we should delete the whole image from iwhd.
2.) We probably don't want to show the 'X' to offer deletion of provider images for imported images.

I'm actually not positive if that's the issue here, but it's at least related.

Comment 11 Matt Wagner 2012-02-27 19:03:24 UTC
I sent something that *might* fix this: http://lists.fedorahosted.org/pipermail/aeolus-devel/2012-February/009181.html

Comment 12 Matt Wagner 2012-03-01 21:58:26 UTC
Pushed to master.

On aeolus-image-rubygem:
commit bc44a5a4d1aca31585eaefb19ff498b2e81786e2
Author: Matt Wagner <matt.wagner@redhat.com>
Date:   Mon Feb 27 11:41:11 2012 -0500

    Image.import deletes Image if ProviderImage is absent
    
    This is an apparent error condition in which the Image serves no value.
    
    Part of https://bugzilla.redhat.com/show_bug.cgi?id=761279



On Conductor:
commit 44226dcea8f68458bb145adc65f6fdd7d3c293a7
Author: Matt Wagner <matt.wagner@redhat.com>
Date:   Mon Feb 27 11:13:42 2012 -0500

    Do not offer to delete imported provider images
    
    Part of https://bugzilla.redhat.com/show_bug.cgi?id=761279

Comment 14 Shveta 2012-03-07 12:12:18 UTC
Created attachment 568273 [details]
import_upload

Importing an ami from cli displays "Imported image can't be built or pushed"
No upload button.

rpm -qa|grep aeolus
aeolus-configure-2.5.0-18.el6.noarch
aeolus-conductor-doc-0.8.0-41.el6.noarch
rubygem-aeolus-cli-0.3.0-13.el6.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
aeolus-conductor-daemons-0.8.0-41.el6.noarch
aeolus-conductor-0.8.0-41.el6.noarch
aeolus-all-0.8.0-41.el6.noarch

Comment 15 errata-xmlrpc 2012-05-15 21:22:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2012-0583.html


Note You need to log in before you can comment on or make changes to this bug.